module DirectX9.D3D.X.Constants
where
import DirectX9.Types

#include "windows.h"
#include "fix_decl.h"
#include "fix_decl_x.h"
#include "d3dx9.h"

type ShaderParserFlag = DWORD

#{enum ShaderParserFlag, 
    ,d3DXSHADER_PACKMATRIX_COLUMNMAJOR  = D3DXSHADER_PACKMATRIX_COLUMNMAJOR
    ,d3DXSHADER_PACKMATRIX_ROWMAJOR     = D3DXSHADER_PACKMATRIX_ROWMAJOR
    }

type ShaderCompilerFlag = DWORD
#{enum ShaderCompilerFlag, 
    ,d3DXSHADER_AVOID_FLOW_CONTROL  = D3DXSHADER_AVOID_FLOW_CONTROL
    ,d3DXSHADER_DEBUG               = D3DXSHADER_DEBUG
    ,d3DXSHADER_FORCE_PS_SOFTWARE_NOOPT = D3DXSHADER_FORCE_PS_SOFTWARE_NOOPT
    ,d3DXSHADER_FORCE_VS_SOFTWARE_NOOPT = D3DXSHADER_FORCE_VS_SOFTWARE_NOOPT
    ,d3DXSHADER_NO_PRESHADER        = D3DXSHADER_NO_PRESHADER
    ,d3DXSHADER_PARTIALPRECISION    = D3DXSHADER_PARTIALPRECISION
    ,d3DXSHADER_PREFER_FLOW_CONTROL = D3DXSHADER_PREFER_FLOW_CONTROL
    ,d3DXSHADER_SKIPOPTIMIZATION    = D3DXSHADER_SKIPOPTIMIZATION
    ,d3DXSHADER_SKIPVALIDATION      = D3DXSHADER_SKIPVALIDATION
    }
{-
type ShaderAssemblerFlag = DWORD
-#{enum ShaderAssemblerFlag,
    ,d3DXSHADER_DEBUG                   = D3DXSHADER_DEBUG
    ,d3DXSHADER_FORCE_PS_SOFTWARE_NOOPT = D3DXSHADER_FORCE_PS_SOFTWARE_NOOPT
    ,d3DXSHADER_FORCE_VS_SOFTWARE_NOOPT = D3DXSHADER_FORCE_VS_SOFTWARE_NOOPT
    ,d3DXSHADER_SKIPVALIDATION          = D3DXSHADER_SKIPVALIDATION
    }
-}
